<!-- Hereda de el template main -->
{% extends 'main.html'%}  {# Herencia #}

<!--Hereda el bloque de cabecera manteniendo su contenido con la función super() y agregando el link a la hoja de estilo al final del mismo -->
{% block head %}
    {{ super() }} {# Heredar el contenido del bloque bloque #}
    <link rel="stylesheet" href="{{url_for('static', filename='css/style.css')}}"> {# Nuevo contenido del bloque #}
{% endblock %}



<!-- Comienza el bloque de contenido y define su contenido -->
{% block content %}

		<div class="row">
				<div class="col-md-12 ">
					{{title}}
				</div>
		  </div>
		 	<div class="row">
				<!--Columna -->
				<div class="col-md-12 ">
          <table class="table table-bordered table-dark table-striped">
          	<tr>
							<th>#</th>
              <th>Firstname</th>
              <th>Lastname</th>
              <th>Email</th>
              <th></th>
						</tr>
            {% for professor in professors %}
              <tr>
                <td>{{professor.id}}</td>
                <td>{{professor.firstname}}</td>
                <td>{{professor.lastname}}</td>
                <td>{{professor.email}}</td>
                <td>
                  <!-- Generar url para una ruta -->
                  <a type="button" href="{{url_for('professor.view',id=professor.id)}}" class="btn btn-success">View</a>
                </td>
              </tr>
           {% endfor %}
					</table>
				</div>
		</div><!--Fin de la fila -->
  </div>
{% endblock %}
